Description

A wiki link goes like this:

!'[[TargetPage|Label]]

An external link goes like this:

!"Label":http://www.example.com

Having two different syntaxes is bad. Having the ordering reversed in one of them is worse.
| propose the following fix:

e Make the [[]]-syntax support external links, so we can write:
[[http://foobar.com|Label]] (note: i found no way to protect the link from parsing)

This would be backwards compatible (the old syntax doesn't need to change or go away).

History

#1 - 2008-09-04 15:31 - Paul Rivier

unfortunatly, Textile has been designed for general use for web content, therefore only handle external links.

"Label":http://www.example.com

is the official Textile markup syntax, and FWIW [ find it absolutly terrible. But this is the Textile syntax and changing it would make redmine not follow
the official textile markup.

#2 - 2008-09-04 16:40 - Jim Jones
Paul Rivier wrote:
unfortunatly, Textile has been designed for general use for web content, therefore only handle external links.
is the official Textile markup syntax, and FWIW | find it absolutly terrible. But this is the Textile syntax and changing it would make redmine not

follow the official textile markup.

Well, as said, let's keep the textile syntax but provide ![[http://foobar.com|Label]] in addition to that.
That way we can have consistency and backwards compatibility. :)

#3 - 2008-09-21 14:03 - Jean-Philippe Lang

- Tracker changed from Defect to Feature

2025-08-23 1/1



http://foobar.com%7CLabel
http://foobar.com%7CLabel
http://www.tcpdf.org

